Extending Qt Creator Manual | IContext

Extending Qt Creator Manual 4.5.2

# IContext Class

(Core::IContext)

Inherited By: | Core::IEditor

- List of all members, including inherited members

## Public Functions

| IContext(QObject *parent = 0)
virtual Context | context() const
virtual QString | contextHelpId() const
virtual void | setContext(const Context &context)
virtual void | setContextHelpId(const QString &id)
virtual void | setWidget(QWidget *widget)
virtual QWidget * | widget() const

## Member Function Documentation

### IContext::IContext(QObject *parent = 0)

Default constructs an instance of IContext.

### `[virtual]` Context IContext::context() const

See also setContext().

### `[virtual]` QString IContext::contextHelpId() const

See also setContextHelpId().

### `[virtual]` void IContext::setContext(const Context &context)

See also context().

### `[virtual]` void IContext::setContextHelpId(const QString &id)

See also contextHelpId().

### `[virtual]` void IContext::setWidget(QWidget *widget)

See also widget().

### `[virtual]` QWidget *IContext::widget() const

See also setWidget().